NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.JointmarkPointsBuilder Class Reference

Used to create or edit a point in the list of points for Jointmark More...

Inheritance diagram for NXOpen.Weld.JointmarkPointsBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Weld.PointMarkPointBuilder

Public Types

enum  PointPosition { None, MovedAlongGuide, MovedOffGuide }
 The point classification More...
 

Public Member Functions

unsafe void UpdateCsys (NXOpen.Matrix3x3 matrix)
 Update the csys using a new matrix. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle through which X and Y axis to rotate More...
 
unsafe bool FlipDirection [get, set]
 Returns or sets the flip of Z axis. More...
 
unsafe
NXOpen.Features.SelectFeature 
MappingFeature [get]
 Returns the selected feature to move to the location specified. More...
 
unsafe NXOpen.Point Point [get, set]
 Returns or sets the point at which the feature is created More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Used to create or edit a point in the list of points for Jointmark

To create a new instance of this class, use NXOpen.Weld.JointmarkBuilder.NewPoints

Created in NX9.0.0

Member Enumeration Documentation

The point classification

Enumerator
None 

None specifed.

MovedAlongGuide 

User moved point from default location along the guide curve

MovedOffGuide 

User moved point from default location off the guide curve

Member Function Documentation

unsafe void NXOpen.Weld.JointmarkPointsBuilder.UpdateCsys ( NXOpen.Matrix3x3  matrix)
inline

Update the csys using a new matrix.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

Parameters
matrixrotate matrix
unsafe bool NXOpen.Weld.JointmarkPointsBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.Expression NXOpen.Weld.JointmarkPointsBuilder.Angle
get

Returns the angle through which X and Y axis to rotate

Created in NX9.0.0

License requirements: ugweld ("UG WELD")

unsafe bool NXOpen.Weld.JointmarkPointsBuilder.FlipDirection
getset

Returns or sets the flip of Z axis.

Z axis representing the normal can be flipped

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Features.SelectFeature NXOpen.Weld.JointmarkPointsBuilder.MappingFeature
get

Returns the selected feature to move to the location specified.

Created in NX10.0.0

License requirements: ugweld ("UG WELD")

unsafe NXOpen.Point NXOpen.Weld.JointmarkPointsBuilder.Point
getset

Returns or sets the point at which the feature is created

Created in NX9.0.0

License requirements to get this property: ugweld ("UG WELD")

License requirements to set this property: ugweld ("UG WELD")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.